<template>

<div v-if="closed!==true" class="modal show" tabindex="-1" role="dialog" style="display:block">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{title}}</h5>
        <button type="button" class="close" v-on:click="close()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <slot></slot>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-primary">Save changes</button>
        <button type="button" class="btn btn-secondary" v-on:click="close()">Close</button>
      </div>
    </div>
  </div>
</div>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Component from 'vue-class-component';
import BaseComponent from '../BaseComponent';

@Component({
  props: {
    title: String,
  },
})
export default class ModalPanel extends BaseComponent {
  public closed=false;

  close() :void{
    this.closed = true;
    this.contextService.currentAction = '';
  }
}
</script>

<style scoped lang="less">

</style>
